> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runautomat.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runautomat.com/_mcp/server.

# Hand an open review to a colleague on your own side

PATCH https://studio.runautomat.com/api/v1/projects/{projectId}/collaboration/threads/{threadId}/waiting-on
Content-Type: application/json

Reference: https://docs.runautomat.com/api-reference/programmatic-access/programmatic-access-api/collaboration/update-waiting-on

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required)
- `threadId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `userId` (string, required)

## Response

### 200

Declared primary response

- `thread` (ApiV1ProjectsProjectIdCollaborationThreadsThreadIdWaitingOnPatchResponsesContentApplicationJsonSchemaThread, required, nullable)
- `commentId` (string, required, nullable)

## Types

### ApiV1ProjectsProjectIdCollaborationThreadsThreadIdWaitingOnPatchResponsesContentApplicationJsonSchemaThread

- `id` (string, required)
- `subject_type` (string, required)
- `subject_id` (string, required)
- `session_id` (string, required, nullable)
- `workflow_id` (string, required, nullable)
- `review_status` (enum, required)
  - Allowed values: `none`, `open`, `resolved`
- `waiting_on` (enum, required, nullable)
  - Allowed values: `customer`, `staff`
- `waiting_on_user_id` (string, required, nullable)
- `source` (enum, required)
  - Allowed values: `human`, `system`
- `opened_by_id` (string, required, nullable)
- `opened_at` (string, required, nullable)
- `resolved_by_id` (string, required, nullable)
- `resolved_at` (string, required, nullable)
- `created_at` (string, required)
- `commentCount` (double, required)
- `lastActivityAt` (string, required, nullable)
- `acknowledgements` (list of ApiV1ProjectsProjectIdCollaborationThreadsThreadIdWaitingOnPatchResponsesContentApplicationJsonSchemaThreadAcknowledgementsItems, required)

### ApiV1ProjectsProjectIdCollaborationThreadsThreadIdWaitingOnPatchResponsesContentApplicationJsonSchemaThreadAcknowledgementsItems

- `userId` (string, required)
- `userSide` (enum, required)
  - Allowed values: `customer`, `staff`
- `acknowledgedAt` (string, required)

## Examples

**Request**

```json
{
  "userId": "string"
}
```

**Response**

```json
{
  "thread": {
    "id": "string",
    "subject_type": "string",
    "subject_id": "string",
    "session_id": "string",
    "workflow_id": "string",
    "review_status": "none",
    "waiting_on": "customer",
    "waiting_on_user_id": "string",
    "source": "human",
    "opened_by_id": "string",
    "opened_at": "string",
    "resolved_by_id": "string",
    "resolved_at": "string",
    "created_at": "string",
    "commentCount": 1.1,
    "lastActivityAt": "string",
    "acknowledgements": [
      {
        "userId": "string",
        "userSide": "customer",
        "acknowledgedAt": "string"
      }
    ]
  },
  "commentId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on"

payload = { "userId": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"userId":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on"

	payload := strings.NewReader("{\n  \"userId\": \"string\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"userId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"userId\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on', [
  'body' => '{
  "userId": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"userId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["userId": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://studio.runautomat.com/api/v1/projects/projectId/collaboration/threads/threadId/waiting-on")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```